from unihiker_k10 import screen, acce
import time, gc
import lvgl as lv
import fs_driver, math

# 初始化LVGL和屏幕
screen.init(dir=2)
scrn = lv.screen_active()
scrn.set_style_bg_color(lv.color_hex(0x000000), 0)

# 初始化文件系统驱动
fs_drv = lv.fs_drv_t()
fs_driver.fs_register(fs_drv, 'S')


# 创建开口向上的弧线
arc3 = lv.arc(scrn)
arc3.set_size(200, 100)  # 设置弧线的大小
arc3.set_bg_angles(90, 100)  # 设置背景角度为0到180度，表示开口向上
arc3.set_angles(0, 180)  # 设置显示角度为0到180度
arc3.align(lv.ALIGN.BOTTOM_MID, 50, -60)  # 将弧线放置在屏幕底部中间位置，稍微向上移动

# 创建第一个蓝色实心球（眼球）
eye1 = lv.led(scrn)
eye1.set_size(60, 30)  # 设置大小为32x20像素
eye1.set_color(lv.color_hex(0x0000FF))  # 设置颜色为蓝色
eye1.align(lv.ALIGN.TOP_LEFT, 50, 90)  # 将眼球放置在第一个圆球的中间

# 创建第二个蓝色实心球（眼球）
eye2 = lv.led(scrn)
eye2.set_size(60, 30)  # 设置大小为32x20像素
eye2.set_color(lv.color_hex(0x0000FF))  # 设置颜色为蓝色
eye2.align(lv.ALIGN.TOP_RIGHT, -50, 90)  # 将眼球放置在第二个圆球的中间


def animate_mouth():
    for angle in range(360, 300, -10):
        arc3.set_angles(angle, angle + 180)  # 设置显示角度为0到180度
#         time.sleep(2)  # 持续2秒
        time.sleep(0.1)
    for angle in range(300, 360, 10):
        arc3.set_angles(angle, angle + 180)  # 设置显示角度为0到180度
#         time.sleep(2)  # 持续2秒
        time.sleep(0.1)


# 动态改变眼球的水平位置以模拟表情变化
def change_eyes():
#   # 向左看
    eye1.align(lv.ALIGN.TOP_LEFT, 40, 90)
    eye2.align(lv.ALIGN.TOP_RIGHT, -60, 90)
    time.sleep(0.2)  # 持续1秒
   
    # 向右看
    eye1.align(lv.ALIGN.TOP_LEFT, 60, 90)
    eye2.align(lv.ALIGN.TOP_RIGHT, -40, 90) 
    time.sleep(0.2)  # 持续1秒
    
    # 回到中间
    eye1.align(lv.ALIGN.TOP_LEFT, 50, 90)
    eye2.align(lv.ALIGN.TOP_RIGHT, -50, 90) 
    time.sleep(0.2)  # 持续1秒
    animate_mouth()
# 启动眼球变化
change_eyes()

# 启动表情变化
# change_expression()

